Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.spring31.xml.encryption
Class EncryptablePropertiesFactoryBean

    Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.jasypt.spring31.xml.encryption.EncryptablePropertiesFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean<Object>, org.springframework.beans.factory.InitializingBean

    public final class EncryptablePropertiesFactoryBean

extends org.springframework.core.io.support.PropertiesLoaderSupport
implements org.springframework.beans.factory.FactoryBean<Object>, org.springframework.beans.factory.InitializingBean

Factory bean for creating encrptable properties objects from the `encryption` namespace elements. Do not use directly.

Since:
  1.9.0
Author:
  Daniel Fernández

Field Summary

Fields inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`localOverride, localProperties, logger, XML_FILE_EXTENSION`

Constructor Summary
`EncryptablePropertiesFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setEncryptor(Object encryptor)`
`void` | `setSingleton(boolean singleton)`

Methods inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`loadProperties, mergeProperties, setFileEncoding, setIgnoreResourceNotFound, setLocalOverride, setLocation, setLocations, setProperties, setPropertiesArray, setPropertiesPersister`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptablePropertiesFactoryBean

    public EncryptablePropertiesFactoryBean()

Method Detail

### setSingleton

    public final void setSingleton(boolean singleton)

### isSingleton

    public final boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Object>`

### setEncryptor

    public void setEncryptor(Object encryptor)

### afterPropertiesSet

    public final void afterPropertiesSet()
                                  throws IOException

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `IOException`

### getObject

    public final Object getObject()
                           throws IOException

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean<Object>`
  Throws:
    `IOException`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.